<?	$this->headLink()
	->appendStylesheet(_st('video-modal.css'));
?>

<?
	$this->headScript()
	//->appendFile(_st('jwplayer.js').'?v1', 'text/javascript')				
	//->appendScript('jwplayer.key="2Jl4iHdNg8jOvK4EtIxZ6XHOcYIYFfWQOP2O9g=="')
	->appendFile(_st('MooUpload.js'), 'text/javascript')			
	->appendFile(_st('VideoPrivate.js').'?v7', 'text/javascript')
	->appendFile(_st('video-modal.js'), 'text/javascript');
?>

<script type="text/javascript">
	
	window.addEvent('domready', function () {
		var video = new VideoSection('form-upload',{});
	});

</script>

<div class="gray-box form">
	<fieldset>
		<legend><?= __('pv2_section_video') ?></legend>
		<div class="body" id="video-block">

			<div class="p0_10">
				<h2 class="fleft"><?= $this->t('video_intro_title') ?></h2>
				<div class="clear"></div>
				<p class="p20_0"> <?= $this->t('video_intro') ?> </p>
			</div>

			<div class="content-wrapper">
				<div class="p0_10">
					<h2> Your Video </h2>
					<div class="video-box-wrapper">
						<div class="video-box">
							<input type="hidden" id="video-remove-url" value="<?= $this->getLink('private-v2-video-action',array('act' => 'delete')) ?><?= $this->user->isAgency() ? '&escort=' .$this->escort_id : '' ?>" />
							<input type="hidden" id="is-video-ready-url" value="<?= $this->getLink('private-v2-video-ready') ?><?= $this->user->isAgency() ? '?escort=' .$this->escort_id : '' ?>" />
							<? if( !empty($this->video)): ?>
								<div id="video_<?= $this->video['id'] ?>" class="wrapper">
									<input type="hidden" id="video-config" value="<?=$this->config['remote_url']?><?=$this->host?>/<?= $this->escort_id ?>/" />
									<?  if( $this->video['status'] != 'approve'):?> 
										<strong><?= $this->video['status'] == 'pending'? __("pending"): __("disabled"); ?></strong>
									<? endif;?>
									<img data-width="<?= $this->video['photo']['width'] ?>" rel="<?= $this->video['video'] ?>" data-height="<?= $this->video['photo']['height'] ?>" src="<?= $this->video['photo']->getUrl('video_thumb_p') ?>"  />
									<span class="video_play_btn"></span>
								</div>	
							<? else:?>
								<div class="no-video"/></div>
							<? endif;?>
						</div>			
					</div>
					<div class="info">
						<h2>INFO</h2>
						<span class="info-arrow"></span>
						<p class="check"> <?= $this->t('video_size_info') ?> </p>
						<p class="check"> <?= $this->t('video_ext_info') ?> </p>
						<p class="check"> <?= $this->t('min_height_size_video') ?> </p>
						<? /*<p class="check"> Explicit nudity is not allowed. </p>*/ ?>
						<p> <?= $this->t('video_troubles_info') ?> </p>
					</div>
					<div class="clear"></div>
					<form id="form-upload" action="<?= $this->getLink('private-v2-video-action',array('act' => 'upload')) ?><?= $this->user->isAgency() ? '&escort=' . $this->escort_id : '' ?>" method="post" enctype="multipart/form-data" >
						<div id="filecontrol" ></div>
						<div class="clear"></div>
					</form>	
					<div class="clear"></div>
				</div>	 
			</div>	
		</div>
	</fieldset>	
</div>
